<div id="selectType">Tipo de convite:</div>
<nav class="menu"><ul class="separator" id="menuInflatorIndicator"></ul></nav>
<div id="inflatorbody">
<% for (var i = 0;i < views.length;i++){%>
    

    <div id="Inflator<%-id%><%-i%>">
 <%- include(views[i].view); %>
</div>
    <% } %>
</div>
<script>
   

    function FillInflatorMenu(){
var indicator = document.getElementById('menuInflatorIndicator')
var listViewArray = '<%- JSON.stringify(Options.MultiFormOptions) %>'; // test is now a valid js object
var json = JSON.parse(listViewArray)
var caminho = ''
json.map((item)=> {
if(item.inflate){
 for(var b = 0; b < item.view.length; b++){

    caminho += '<li><div id="Inflator<%-id%>'+b+'" class="pathinflator">'+item.view[b].name+'</div></li>'
    }}

})
   


indicator.innerHTML = caminho
}


function setIndicatorInflator(id){
var indicator = document.getElementById('menuInflatorIndicator').getElementsByTagName("div")

for(var i =0; i< indicator.length;i++){

if(indicator[i].id == id){
  indicator[i].setAttribute("style","background-color:rebeccapurple; display:inline;")
}else{
 indicator[i].setAttribute("style","background-color:none; display:inline;")
}
}
}

function nextPageInflator(inflator){

var elms = document.getElementById('inflatorbody').getElementsByTagName("div")
for (var i = 0; i < elms.length; i++) {
    if(elms[i].id.includes('Inflator')){
      
if(elms[i].id == inflator){
    elms[i].setAttribute("style","display: block;")

}else if (elms[i].id != inflator){
    elms[i].setAttribute("style","display: none;")
}
}      
}
setIndicatorInflator(inflator)
}

    FillInflatorMenu()
nextPageInflator('Inflator00')

 $('.pathinflator').click(function (e){
     console.log($(this).attr('id'))
       nextPageInflator($(this).attr('id'))
         })
      

  
</script>